# Generated by Django 4.0.3 on 2022-04-21 09:25

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0055_alter_districtarticlepage_content_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtprogrampage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "static_program_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek bloku", required=True
                                    ),
                                ),
                                (
                                    "perex",
                                    wagtail.blocks.TextBlock(
                                        label="Krátký text pod nadpisem", required=True
                                    ),
                                ),
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Garant",
                                        page_type=["district.DistrictPersonPage"],
                                    ),
                                ),
                                (
                                    "completion_percentage",
                                    wagtail.blocks.IntegerBlock(
                                        label="Procento dokončení", required=True
                                    ),
                                ),
                                (
                                    "program_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název", required=True
                                                    ),
                                                ),
                                                (
                                                    "completion_percentage",
                                                    wagtail.blocks.IntegerBlock(
                                                        label="Procento dokončení",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "issue_link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz na Redmine issue",
                                                        required=False,
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Seznam bodů",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "redmine_program_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek bloku", required=True
                                    ),
                                ),
                                (
                                    "perex",
                                    wagtail.blocks.TextBlock(
                                        label="Krátký text pod nadpisem", required=True
                                    ),
                                ),
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Garant",
                                        page_type=["district.DistrictPersonPage"],
                                    ),
                                ),
                                (
                                    "redmine_issue",
                                    wagtail.blocks.IntegerBlock(
                                        label="Číslo Redmine issue", required=True
                                    ),
                                ),
                                (
                                    "completion_percentage",
                                    wagtail.blocks.IntegerBlock(
                                        help_text="Hodnota se automaticky načte s Redmine",
                                        label="Procento dokončení - bude doplněno automaticky",
                                        required=False,
                                    ),
                                ),
                                (
                                    "program_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název", required=True
                                                    ),
                                                ),
                                                (
                                                    "completion_percentage",
                                                    wagtail.blocks.IntegerBlock(
                                                        label="Procento dokončení",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "issue_link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz na Redmine issue",
                                                        required=False,
                                                    ),
                                                ),
                                            ]
                                        ),
                                        help_text="Hodnota se automaticky načte s Redmine",
                                        label="Seznam bodů - bude doplněno automaticky",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
    ]
